Range-v3 Range algorithms, views, and actions for the Standard Library |

Synopsis of methods | Public Member Functions | List of all members
ranges::view::trim_fn Struct Reference

## Synopsis of methods
constexpr view< trim_fn > | trim {}

## Public Member Functions
template<typename Rng , typename Pred >
auto | operator() (Rng &&rng, Pred pred) const -> trim_view< all_t< Rng >, Pred > requires ViewableRange< Rng > &&BidirectionalRange< Rng > &&IndirectUnaryPredicate< Pred, iterator_t< Rng >> &&CommonRange< Rng >
template<typename Rng , typename Pred , typename Proj >
auto | operator() (Rng &&rng, Pred pred, Proj proj) const -> trim_view< all_t< Rng >, composed< Pred, Proj >> requires ViewableRange< Rng > &&BidirectionalRange< Rng > &&IndirectUnaryPredicate< composed< Pred, Proj >, iterator_t< Rng >> &&CommonRange< Rng >